summaryrefslogtreecommitdiff
path: root/admin/upload-release
diff options
context:
space:
mode:
authorMichal Čihař <michal@cihar.com>2010-02-04 19:24:50 +0100
committerMichal Čihař <michal@cihar.com>2010-02-04 19:24:50 +0100
commit9d8b38a7cee5edd6e746c58517cf4446807a4e19 (patch)
tree07801856e173970f6d270f1907965bb4100a62e3 /admin/upload-release
parent7f046c3bd5880e546e8088eafcb38c0f8f9d8949 (diff)
Imported Upstream version 1.27.91
Diffstat (limited to 'admin/upload-release')
-rwxr-xr-xadmin/upload-release24
1 files changed, 24 insertions, 0 deletions
diff --git a/admin/upload-release b/admin/upload-release
new file mode 100755
index 0000000..e599c05
--- /dev/null
+++ b/admin/upload-release
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+REL=$1
+if [ -z $REL ] ; then
+ echo 'Usage: upload-release VERSION [DIR]'
+ echo 'Must be called in directory with binaries or with path'
+ exit 1
+fi
+
+if [ ! -z "$2" ] ; then
+ cd "$2"
+fi
+
+sftp nijel,gammu@frs.sourceforge.net <<EOT
+cd /home/frs/project/g/ga/gammu/gammu
+mkdir $REL
+cd $REL
+put Gammu-$REL-Windows-Minimal.exe
+put Gammu-$REL-Windows-Minimal.zip
+put Gammu-$REL-Windows.exe
+put Gammu-$REL-Windows.zip
+put gammu-$REL.tar.bz2
+put gammu-$REL.tar.gz
+EOT